SystemOrganization addCategory: #'Seaside-Tests-Tools-Web'!

TestCase subclass: #WACloneHandlerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Tools-Web'!

!WACloneHandlerTest methodsFor: 'tests' stamp: 'pmm 9/4/2009 16:01'!
testCloneApplication
	| app handler key clone |
	app := WADispatcher new register: WAApplication new at: 'app'.
	handler := WARequestHandler new.
	key := app register: handler.
	
	clone := app cloneHandler.
	
	self assert: key = (app keyFor: handler).
	self should: [ clone keyFor: handler ] raise: Error.! !

WAContextTest subclass: #WADispatcherComponentTest
	instanceVariableNames: 'configApplication rootHandler childHandler normalApplication'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Tools-Web'!

!WADispatcherComponentTest methodsFor: 'configuration' stamp: 'lr 7/25/2011 19:53'!
createHandlers
	^ Array with: rootHandler with: configApplication with: WASession new! !

!WADispatcherComponentTest methodsFor: 'running' stamp: 'pmm 2/13/2011 10:59'!
setUp
	super setUp.
	rootHandler := WADispatcher new.
	rootHandler := rootHandler register: WADispatcher new at: 'seaside'.
	childHandler := rootHandler register: WADispatcher new at: 'child'.
	configApplication := WAAdmin register: WAApplication 
		at: 'config'
		in: rootHandler.
	configApplication configuration addParent: WARenderLoopConfiguration instance.
	configApplication 
		preferenceAt: #rootClass
		put: WAConfigurationBrowser.
	normalApplication := WAAdmin register: WAApplication 
		at: 'counter'
		in: childHandler.
	normalApplication configuration addParent: WARenderLoopConfiguration instance.
	normalApplication 
		preferenceAt: #rootClass
		put: WAConfigurationBrowser! !

!WADispatcherComponentTest methodsFor: 'tests' stamp: 'pmm 9/6/2009 12:14'!
testNestedDispatcher
	| configComponent |
	configComponent := WAConfigurationBrowser on: rootHandler.
	self requestContextWithUrl: '/config/child'.
	self requestContext consumer next.
	self requestContext session properties at: #presenter put: WAComponent new.
	configComponent initialRequest: self requestContext request.
	self assert: configComponent dispatcher == childHandler! !

!WADispatcherComponentTest methodsFor: 'tests' stamp: 'TestRunner 1/20/2010 14:05'!
testUnregister
	| url |
	url := normalApplication url.
	url path removeFirst.
	self assert: (WAAdmin unregister: url pathString in: rootHandler) = normalApplication.
	self assert: (WAAdmin unregister: url pathString in: rootHandler) isNil.
	
	url := childHandler url.
	url path removeFirst.
	self assert: (WAAdmin unregister: url pathString in: rootHandler) = childHandler.
	self assert: (WAAdmin unregister: url pathString in: rootHandler) isNil.
	
	self assert: (WAAdmin unregister: '/not-existing' in: rootHandler) isNil! !

WAEnvironmentDefaultHandlersTest subclass: #WAToolsWebDefaultHandlersTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Tools-Web'!

!WAToolsWebDefaultHandlersTest methodsFor: 'tests' stamp: 'jf 11/3/2009 01:35'!
testDefaultConfig
	| app |
	app := self defaultDispatcher entryPointAt: 'config'.
	self assert: app class == WAApplication.
	self assert: app isApplication.
	self deny: app isDispatcher.
	self deny: app parent isNil.
	self assert: app name = 'config'.
	self assert: app url pathString = '/config'! !

!GRPackage class methodsFor: '*seaside-tests-tools-web' stamp: 'lr 2/17/2010 15:14'!
seasideTestsToolsWeb
	^ self new
		name: 'Seaside-Tests-Tools-Web';
		description: 'Unit tests for the package Seaside-Tools-Web.';
		addDependency: 'Seaside-Tools-Web';
		addDependency: 'Seaside-Tests-Environment';
		url: #seasideUrl;
		yourself! !
